Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-xtermcolor
# Created by pyp2rpm-0.5.0
%global pypi_name xtermcolor

Name:           python-module-xtermcolor
Version:        1.0.3
Release:        alt1_3
Summary:        Python module for colorizing output with xterm 256 color support

License:        MIT
URL:            http://pypi.python.org/pypi/xtermcolor/1.0.3
Source0:        http://pypi.python.org/packages/source/x/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# I already asked upstream to put LICENSE in the source archive:
# https://github.com/broadinstitute/xtermcolor/issues/1
Source1:        https://raw.github.com/broadinstitute/xtermcolor/master/LICENSE
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info


%description
Python module for colorizing output with xterm 256 color support.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc LICENSE README
%{_bindir}/xtermcolor
%{python_sitelibdir_noarch}/%{pypi_name}
# exclude file used for generation of setup.py
%exclude %{python_sitelibdir_noarch}/%{pypi_name}/distribute_setup.py*
%{python_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_2
- initial fc import

